Show / Hide Table of Contents

# Enum DiagnosticSeverity

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public enum DiagnosticSeverity

### Fields

Name | Description
--- | ---
Error | Indicates that the diagnostic represents an error.
Hint | Indicates that the diagnostic represents a hint.
Information | Indicates that the diagnostic represents an informational message.
Warning | Indicates that the diagnostic represents a warning.